﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.1
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	
	Private ToastMessage As BCToast
	'Private Edit As B4XEmployeeEdit
	Private edtName, edtDescription, edtAdress1, edtAdress2, edtAdress3, edtStreet, edtTown As B4XView

	Private lblRowID As B4XView
	Private btnAdd, btnDelete, btnUpdate, btnPrevious, btnNext, btnFirst, btnLast As B4XView

End Sub

'You can add more parameters here.
Public Sub Initialize As Object
	Return Me
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	'load the layout to Root

	Root.LoadLayout("CustomerEdit")
	ToastMessage.Initialize(Root)
	
End Sub

Private Sub B4XPage_Appear
	ShowEntry(B4XPages.MainPage.Customer.CurrentIndexCustomer)
	
End Sub


Public Sub ShowEntry(EntryIndex As Int)
	Private RowID As Int
	
	If B4XPages.MainPage.Customer.RowIDListCustomer.Size = 0 Then 			'check if the database is empty
		Return											'if yes leave the routine
	End If
	
	If Main.ModeCustomer = "Add" Then
		lblRowID.Text = ""
		edtName.Text = ""
		edtDescription.Text = ""
		edtAdress1.Text = ""
		edtAdress2.Text = ""
		edtAdress3.Text = ""
		edtStreet.Text = ""
		edtTown.Text = ""
	Else
		Private ResultSet1 As ResultSet
		RowID = B4XPages.MainPage.Customer.RowIDListCustomer.Get(EntryIndex)		'get the ID for the given entry index
		'read the entry with the given ID
		ResultSet1 = B4XPages.MainPage.SQL1.ExecQuery("SELECT * FROM customers WHERE rowid = " & RowID)
		lblRowID.Text = "  " & RowID													'display the ID
		ResultSet1.NextRow																		'set the cursor
		edtName.Text = ResultSet1.GetString("Name")	'read the value of the FirstName column
		edtDescription.Text = ResultSet1.GetString("Description")		'read the value of the LasstName column
		edtAdress1.Text = ResultSet1.GetString("Adress1")						'read the value of the City column
		edtAdress2.Text = ResultSet1.GetString("Adress2")						'read the value of the City column
		edtAdress3.Text = ResultSet1.GetString("Adress3")						'read the value of the City column
		edtStreet.Text = ResultSet1.GetString("Street")						'read the value of the City column
		edtTown.Text = ResultSet1.GetString("Town")						'read the value of the City column
		ResultSet1.Close																			'close the cursor, we don't it anymore
	End If
	ShowButtons
End Sub

Private Sub ShowButtons
	If Main.ModeCustomer = "Add" Then
		btnPrevious.Visible = False		'hide the navigation buttons
		btnNext.Visible = False
		btnFirst.Visible = False
		btnLast.Visible = False
		btnDelete.Visible = False
		btnUpdate.Visible = False
	Else
		btnDelete.Visible = True
		btnUpdate.Visible = True
		If B4XPages.MainPage.Customer.RowIDListCustomer.Size <= 1 Then 	'check if the database has less than 2 entries
			btnPrevious.Visible = False					'hide the navigation buttons
			btnNext.Visible = False
			btnFirst.Visible = False
			btnLast.Visible = False
		Else
			'show or hide the Previous and Next buttons depending on the value of the current index
			If B4XPages.MainPage.Customer.CurrentIndexCustomer = 0 Then
				btnPrevious.Visible = False
				btnFirst.Visible = False
			Else
				btnPrevious.Visible = True
				btnFirst.Visible = True
			End If
			
			If B4XPages.MainPage.Customer.CurrentIndexCustomer = B4XPages.MainPage.Customer.RowIDListCustomer.Size - 1 Then
				btnNext.Visible = False
				btnLast.Visible = False
			Else
				btnNext.Visible = True
				btnLast.Visible = True
			End If
		End If
	End If
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.